メインコンテンツへスキップ
GET
/
cms
/
pages
/
2026-03
/
landing-pages
ランディングページを一覧表示
curl --request GET \
  --url https://api.hubapi.com/cms/pages/2026-03/landing-pages \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "abStatus": "automated_loser_variant",
      "abTestId": "<string>",
      "archivedAt": "2023-11-07T05:31:56Z",
      "archivedInDashboard": true,
      "attachedStylesheets": [
        {}
      ],
      "authorName": "<string>",
      "campaign": "<string>",
      "categoryId": 123,
      "contentGroupId": "<string>",
      "contentTypeCategory": "0",
      "created": "2023-11-07T05:31:56Z",
      "createdById": "<string>",
      "currentState": "AGENT_GENERATED",
      "currentlyPublished": true,
      "domain": "<string>",
      "dynamicPageDataSourceId": "<string>",
      "dynamicPageDataSourceType": 123,
      "dynamicPageHubDbTableId": "<string>",
      "enableDomainStylesheets": true,
      "enableLayoutStylesheets": true,
      "featuredImage": "<string>",
      "featuredImageAltText": "<string>",
      "folderId": "<string>",
      "footerHtml": "<string>",
      "headHtml": "<string>",
      "htmlTitle": "<string>",
      "id": "<string>",
      "includeDefaultCustomCss": true,
      "language": "aa",
      "layoutSections": {},
      "linkRelCanonicalUrl": "<string>",
      "mabExperimentId": "<string>",
      "metaDescription": "<string>",
      "name": "<string>",
      "pageExpiryDate": 123,
      "pageExpiryEnabled": true,
      "pageExpiryRedirectId": 123,
      "pageExpiryRedirectUrl": "<string>",
      "pageRedirected": true,
      "password": "<string>",
      "publicAccessRules": [
        {}
      ],
      "publicAccessRulesEnabled": true,
      "publishDate": "2023-11-07T05:31:56Z",
      "publishImmediately": true,
      "slug": "<string>",
      "state": "<string>",
      "subcategory": "<string>",
      "templatePath": "<string>",
      "themeSettingsValues": {},
      "translatedFromId": "<string>",
      "translations": {},
      "updated": "2023-11-07T05:31:56Z",
      "updatedById": "<string>",
      "url": "<string>",
      "useFeaturedImage": true,
      "widgetContainers": {},
      "widgets": {}
    }
  ],
  "total": 123,
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

クエリパラメータ

after
string

ページ分割用のカーソルトークン。前のレスポンスのpaging.next.afterフィールドの値を使用します。

archived
boolean

アーカイブ済みの結果のみを返すかどうか。

createdAfter
string<date-time>

特定の日時以降に作成されたランディングページを絞り込みます。

createdAt
string<date-time>

ランディングページを作成タイムスタンプで絞り込みます。

createdBefore
string<date-time>

特定の日時より前に作成されたランディングページを絞り込みます。

limit
integer<int32>

ページごとに表示する結果の最大数。

property
string

レスポンスに含めるランディングページのプロパティーを指定します。

sort
string[]

結果が返される順序を指定します。文字列の配列を受け入れます。

updatedAfter
string<date-time>

特定の日時より後に更新されたランディングページを絞り込みます。

updatedAt
string<date-time>

ランディングページを最終更新日時で絞り込みます。

updatedBefore
string<date-time>

特定の期日より前に更新されたランディングページを絞り込みます。

レスポンス

successful operation

results
object[]
必須

ページのコレクション。

total
integer<int32>
必須

ページの合計数。

paging
object
Last modified on May 11, 2026